/*
			 VMA Editor - Primitives

	Also does creation of primitives toolbar and menu.

 */

#ifndef EDITORPRIMITIVE_H
#define EDITORPRIMITIVE_H

#include "editor.h"


extern int EditorPrimitiveDoCreateSimple(
	ma_editor_struct *editor,
	gint ptype, gint create_pos, gpointer p
);
extern int EditorPrimitiveDoCreate(
	ma_editor_struct *editor,
	gint model_num,
	gint create_pos, gint insert_mode,
	gint select,
	gpointer p,
	gboolean record_undo
);
extern void EditorPrimitiveDoDelete(
	ma_editor_struct *editor,
	gint model_num,
	gint *list, gint total,
	gboolean record_undo
);

extern gboolean EditorPrimitiveIsRealized(
	ma_editor_struct *editor, gpointer p
);
extern void EditorPrimitiveRealize(
	ma_editor_struct *editor, gpointer p,
	gboolean rerealize
);
extern void EditorPrimitiveUnrealize(
	ma_editor_struct *editor, gpointer p
);
extern void EditorPrimitiveRealizeAll(  
	ma_editor_struct *editor, int model_num,
	gboolean rerealize
);
extern void EditorPrimitiveRealizeAllType(
	ma_editor_struct *editor,
	gint model_num, gint ptype,
	gboolean rerealize
);
extern void EditorPrimitiveUnrealizeAll(
	ma_editor_struct *editor,
	gint model_num
);

extern gint EditorPrimitiveVertexAdd(
	ma_editor_struct *editor,
	gint model_num, gint pn, gint vertex_num,
	mp_vertex_struct *v, mp_vertex_struct *n, mp_vertex_struct *tc,
	gboolean report_errors
);
extern void EditorPrimitiveVertexRemove(
	ma_editor_struct *editor,
	gint model_num, gint pn, gint vertex_num,
	gboolean record_undo, gboolean report_errors
);

extern GtkWidget *EditorPrimitivesCreateCreateMenu(ma_editor_struct *editor);
extern gint EditorPrimitivesCreateToolBar(ma_editor_struct *editor);


#endif	/* EDITORPRIMITIVE_H */
